---
title: Update a case type
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Case Management Type
---

# Update a case type{% #update-a-case-type %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/cases/types/{case_type_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/cases/types/{case_type_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/cases/types/{case_type_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/cases/types/{case_type_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/cases/types/{case_type_id}  |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/cases/types/{case_type_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/cases/types/{case_type_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/cases/types/{case_type_id} |

### Overview

Updates the name, emoji, or description of an existing case type.

OAuth apps require the `cases_shared_settings_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#case-management-type) to access this endpoint.



### Arguments

#### Path Parameters

| Name                           | Type   | Description                |
| ------------------------------ | ------ | -------------------------- |
| case_type_id [*required*] | string | The UUID of the case type. |

### Request

#### Body Data (required)

Case type payload.

{% tab title="Model" %}

| Parent field | Field                  | Type      | Description                                                                                                                                                                                          |
| ------------ | ---------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*] | object    | Data object for updating a case type.                                                                                                                                                                |
| data         | attributes             | object    | Attributes of a case type, which define a classification category for cases. Organizations use case types to model different workflows (for example, Security Incident, Bug Report, Change Request). |
| attributes   | deleted_at             | date-time | Timestamp when the case type was marked as deleted. A null value indicates the case type is active.                                                                                                  |
| attributes   | description            | string    | A detailed description explaining when this case type should be used.                                                                                                                                |
| attributes   | emoji                  | string    | An emoji icon representing the case type in the UI.                                                                                                                                                  |
| attributes   | name [*required*] | string    | The display name of the case type, shown in the Case Management UI when creating or viewing cases.                                                                                                   |
| data         | type [*required*] | enum      | JSON:API resource type for case types. Allowed enum values: `case_type`                                                                                                                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "description": "Investigations done in case management",
      "emoji": "🕵🏻‍♂️",
      "name": "Investigation"
    },
    "type": "case_type"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single case type.

| Parent field | Field                  | Type      | Description                                                                                                                                                                                          |
| ------------ | ---------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data                   | object    | A case type that defines a classification category for cases. Each case type can have its own custom attributes, statuses, and automation rules.                                                     |
| data         | attributes             | object    | Attributes of a case type, which define a classification category for cases. Organizations use case types to model different workflows (for example, Security Incident, Bug Report, Change Request). |
| attributes   | deleted_at             | date-time | Timestamp when the case type was marked as deleted. A null value indicates the case type is active.                                                                                                  |
| attributes   | description            | string    | A detailed description explaining when this case type should be used.                                                                                                                                |
| attributes   | emoji                  | string    | An emoji icon representing the case type in the UI.                                                                                                                                                  |
| attributes   | name [*required*] | string    | The display name of the case type, shown in the Case Management UI when creating or viewing cases.                                                                                                   |
| data         | id                     | string    | Case type's identifier                                                                                                                                                                               |
| data         | type                   | enum      | JSON:API resource type for case types. Allowed enum values: `case_type`                                                                                                                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "deleted_at": "2019-09-19T10:00:00.000Z",
      "description": "Investigations done in case management",
      "emoji": "🕵🏻‍♂️",
      "name": "Investigation"
    },
    "id": "aeadc05e-98a8-11ec-ac2c-da7ad0900001",
    "type": "case_type"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export case_type_id="f98a5a5b-e0ff-45d4-b2f5-afe6e74de505" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/cases/types/${case_type_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "description": "Investigations done in case management",
      "emoji": "🕵🏻‍♂️",
      "name": "Investigation"
    },
    "type": "case_type"
  }
}
EOF 
                
{% /tab %}
